#include <stdio.h>
#include <string.h>

int N1, N2, resultado = 0;

int main() {
    scanf("%d", &N1);

    while (N1 != 0) {
        char palavra1[200], palavra2[200];
        scanf("%s", palavra1);

        scanf("%d", &N2);
        scanf("%s", palavra2);

        for (int a = 0; a < N1; a++) {
            if (palavra1[a] == palavra2[a]) {
                resultado++;
            } else {
                a = N1;
            }
        }

        printf("%d\n", resultado);
        resultado = 0;
        scanf("%d", &N1);
    }

    return 0;
}